Name: sane-frontends
Version: 1.0.11
Release: alt1

Summary: Graphical frontend to SANE
Summary(ru_RU.KOI8-R):    SANE
Url: http://www.mostang.com/sane/

Source: ftp://ftp.mostang.com/pub/sane/%name-%version.tar.bz2
License: GPL
Group: Graphics

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libgimp-devel libieee1284-devel libjpeg-devel libsane-devel libusb-devel

BuildRequires: gimp-libgimp libjpeg-devel
#Requires: gtk+, gimp-libgimp
Provides: xscanimage

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam.

%description -l ru_RU.KOI8-R
   xscanimage,   
  SANE,  ,    
GIMP.      xcam.

%prep
%setup -q -n %name-%version

%build
%configure

perl -pi -e 's#,-rpath,/usr/lib##' src/Makefile #yves 1.0.5-4mdk
# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

%make_build

%install
%makeinstall

%post
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i ] || mkdir -p $i
  %__ln_s -f /usr/bin/xscanimage $i/plug-ins/xscanimage
  done
fi

%preun
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
	[ -z "$GIMPDIR" ] && exit 0
	for i in $GIMPDIR;do
    [ -d $i ] || mkdir -p $i
    %__rm -f $i/plug-ins/xscanimage
  	done
  fi
fi

%files
%doc COPYING INSTALL NEWS README AUTHORS
%_bindir/*
%config(noreplace) %_datadir/sane/sane-style.rc
%_mandir/man1/*

%changelog
* Mon Oct 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.11-alt1
- new version

* Mon Mar 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.10-alt1
- release of 1.0.10
- Caution: sane-style.rc moved from datadir to datadir/sane

* Mon Oct 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.0.9-alt1
- release of 1.0.9
- add russian translation in spec

* Thu Sep 19 2002 AEN <aen@altlinux.ru> 1.0.9-alt0.2
- buildreq fixed

* Mon Sep 09 2002 AEN <aen@altlinux.ru> 1.0.9-alt0.1
- built sources from cvs for J2.1/HomePC

* Mon Jun 03 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Wed Feb 13 2002 AEN <aen@logic.ru> 1.0.7-alt1
- new version

* Fri Jan 18 2002 AEN <aen@logic.ru> 1.0.6-alt1
- new version

* Fri Aug 10 2001 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Thu Jan 09 2001 AEN <aen@logic.ru>
- adopted for RE

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk

- Summary now capitalised
- BuildRequires: sane (for sane-config)

